Retrieve graph of messages sent for a given account

​

Returns the total number of messages sent for a given account over the requested time window, grouped by day. Consolidated data is returned up to 2 days ago.

Path Parameters

  • Internal ID of the account.

Query Parameters

  • Filter the graph by recipient provider. One of gmail, outlook or others. When omitted, all providers are included.

  • Number of past days to include in the graph. Maximum is 180.

Responses

  • application/json
  • application/json
Request Example for get/v1/conversation_message_logs/{account_id}/sent/graph
curl 'http://api.mailreach.co/api/v1/conversation_message_logs/1234/sent/graph?provider=gmail&past_days=14' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
  "labels": [
    "Apr 10",
    "Apr 11",
    "Apr 12",
    "Today"
  ],
  "data": [
    65,
    74,
    59,
    26
  ],
  "consolidated": true
}